commit:     00bf6e770ab0130633e8b46e5a9930fca8543494
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 09:39:15 2022 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 09:44:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00bf6e77

dev-python/jupyterlab: add 3.4.5

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/jupyterlab/Manifest                |  1 +
 dev-python/jupyterlab/jupyterlab-3.4.5.ebuild | 69 +++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index db3f63fcddeb..8097140e6b27 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1 +1,2 @@
 DIST jupyterlab-3.4.3.tar.gz 17074198 BLAKE2B 
08a0aa4ddaeb6b48a742ef78e1b8cefb95fbf89ec077a1f3687c4498b7c4dbdd50e1773194c4f3c2e21d36a2010dcbcf2be0141df9383b2d05159bcb7f99ab9c
 SHA512 
27c8d6b6636e14ea9a500764ea97b6ef16a1580728077264b662cc23b0e34ac0fd9eebe1eb5a79a64b18a2d93acc996553a6152fa135e2688b5eae21d184da57
+DIST jupyterlab-3.4.5.tar.gz 17108960 BLAKE2B 
83f4e99a1f98265df50857988dcd011862a0be4212abd8217cc330b3b536f5c7de2486f5c19e692c78eb8305f73c11a11772b510847ec25d756c81c828425ce3
 SHA512 
17428899b577a9e661ea755e3d6e2e3d640ca4ae28cd51e197520b9a388088e2a0d52a799f14b128d94f0c1ee2ec7580e309586c63e1d2e3b6019ae1075abc1c

diff --git a/dev-python/jupyterlab/jupyterlab-3.4.5.ebuild 
b/dev-python/jupyterlab/jupyterlab-3.4.5.ebuild
new file mode 100644
index 000000000000..97957acc4923
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-3.4.5.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=jupyter
+inherit distutils-r1
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="https://jupyter.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="dev-python/jupyter_packaging[${PYTHON_USEDEP}]"
+
+RDEPEND="
+       dev-python/ipython[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       dev-python/jupyter_core[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab_server-2.10[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_server-1.16[${PYTHON_USEDEP}]
+       >=dev-python/nbclassic-0.2[${PYTHON_USEDEP}]
+       <dev-python/notebook-7[${PYTHON_USEDEP}]
+       >=dev-python/jinja-2.1[${PYTHON_USEDEP}]
+       >=www-servers/tornado-6.1[${PYTHON_USEDEP}]
+       net-libs/nodejs
+"
+
+BDEPEND="test? (
+       dev-python/check-manifest[${PYTHON_USEDEP}]
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       dev-python/jupyterlab_server[${PYTHON_USEDEP}]
+       dev-python/openapi-core[${PYTHON_USEDEP}]
+       dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
+       dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+       dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+       dev-python/pytest-timeout[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+       dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+       dev-python/requests-cache[${PYTHON_USEDEP}]
+       dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+       dev-python/virtualenv[${PYTHON_USEDEP}]
+)"
+
+EPYTEST_DESELECT=(
+       # These tests call npm and want internet
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx_rtd_theme 
dev-python/myst_parser
+
+python_install_all() {
+       distutils-r1_python_install_all
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}

Reply via email to